Subject: Re: [PATCH] IB/mlx4: Replace zero-length array with flexible-array

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 13 May 2020 15:43:16 -0300

On Sat, May 09, 2020 at 08:51:50PM -0700, Jakub Kicinski wrote:
> On Thu, 7 May 2020 13:59:21 -0500 Gustavo A. R. Silva wrote:
> > The current codebase makes use of the zero-length array language
> > extension to the C90 standard, but the preferred mechanism to declare
> > variable-length types such as these ones is a flexible array member[1][2],
> > introduced in C99:
> > 
> > struct foo {
> >         int stuff;
> >         struct boo array[];
> > };
> >
> > ...
> 
> Applied, thank you!

Jakub,

Please don't take RDMA patches in netdev unless it is a special
case. There is alot of cross posting and they often get into both
patchworks.

Thanks,
Jason